/*

 Author:	Matt Fausey
		Fermi National Accelerator Laboratory - Mail Station 369
		P.O Box 500
		Batavia, IL 60510
		DECnet: FNAL::FAUSEY
		Internet: fausey@fnsgia.fnal.gov

 Copyright (c) 1990 Universities Research Association, Inc.        
       All Rights Reserved                                                    


 This material resulted from work developed under a Government Contract and   
 is subject to the following license:  The Government retains a paid-up,      
 nonexclusive, irrevocable worldwide license to reproduce, prepare derivative 
 works, perform publicly and display publicly by or for the Government,       
 including the right to distribute to other Government contractors.  Neither  
 the United States nor the United States Department of Energy, nor any of     
 their employees, makes any warrenty, express or implied, or assumes any      
 legal liability or responsibility for the accuracy, completeness, or         
 usefulness of any information, apparatus, product, or process disclosed, or  
 represents that its use would not infringe privately owned rights.

*/



struct process_state {

    int state;
    int attrib;

};

struct cps_job_stats {

    int num_proc;
    int class[MAX_PROCESSES];			    /* Process-->class map */
    struct process_state p_state[MAX_PROCESSES];
    int call_cnt[MAX_PROCESSES][12];
    int user_status[MAX_PROCESSES][MAX_USER_STATUS];
    int q_declared[MAX_QUEUES];
    int qset[MAX_QUEUES];
    int job_done;
    int nsends[4];
    int sndcur[4];
    int sndavg[4];
    int ngets[4];	/* Number of each category of cps_get sizes */
    int getcur[4];	/* Current cps_get bytes per second */
    int getavg[4];	/* Average cps_get bytes per second */
};
