/*

 Author:	Matt Fausey
		Fermi National Accelerator Laboratory - Mail Station 369
		P.O Box 500
		Batavia, IL 60510
		DECnet: FNAL::FAUSEY
		Internet: fausey@fnsgia.fnal.gov

 Copyright (c) 1990 Universities Research Association, Inc.        
       All Rights Reserved                                                    


 This material resulted from work developed under a Government Contract and   
 is subject to the following license:  The Government retains a paid-up,      
 nonexclusive, irrevocable worldwide license to reproduce, prepare derivative 
 works, perform publicly and display publicly by or for the Government,       
 including the right to distribute to other Government contractors.  Neither  
 the United States nor the United States Department of Energy, nor any of     
 their employees, makes any warrenty, express or implied, or assumes any      
 legal liability or responsibility for the accuracy, completeness, or         
 usefulness of any information, apparatus, product, or process disclosed, or  
 represents that its use would not infringe privately owned rights.

*/



#define FACILITY "LIBCPS"

#define L_FREE_Q 0
#define S_FREE_Q (num_semaphores-1)
#define SMALL_MSG(x) &(acp_sshmem[x->buf])
#define LARGE_MSG(x) &(acp_shmem[x->buf])

#define JM_LPN 0

#define CHECK_CPS_INIT \
	if (!acp_init_called) \
	{ \
		sprintf(acp_error_info,"Need to call cps_init first"); \
		acp_return_status = CPS_INIT_NOT_CALLED; \
		return(CPS_INIT_NOT_CALLED); \
    }

#define CHECK_CPS_HOOK( SUBROUTINE ) \
	if( proc_hooks ) \
		cps_proc_hook( SUBROUTINE );
