/*

 Author:	Matt Fausey
		Fermi National Accelerator Laboratory - Mail Station 369
		P.O Box 500
		Batavia, IL 60510
		DECnet: FNAL::FAUSEY
		Internet: fausey@fnsgia.fnal.gov

 Copyright (c) 1990 Universities Research Association, Inc.        
       All Rights Reserved                                                    


 This material resulted from work developed under a Government Contract and   
 is subject to the following license:  The Government retains a paid-up,      
 nonexclusive, irrevocable worldwide license to reproduce, prepare derivative 
 works, perform publicly and display publicly by or for the Government,       
 including the right to distribute to other Government contractors.  Neither  
 the United States nor the United States Department of Energy, nor any of     
 their employees, makes any warrenty, express or implied, or assumes any      
 legal liability or responsibility for the accuracy, completeness, or         
 usefulness of any information, apparatus, product, or process disclosed, or  
 represents that its use would not infringe privately owned rights.

*/



#define FACILITY "JM"

#define MAX_SDF_CPUS 256

/* CPU types */

#define NUMBER_OF_CPU_TYPES 9
#define CPU_SGI 1
#define CPU_MIPS 2
#define CPU_SUN 3
#define CPU_SONY 4
#define CPU_AIX 5	/* IBM RS6000 */
#define CPU_DEC 6	/* DECstation 5000 */
#define CPU_VMS 7
#define CPU_R3000 8	/* ACP R3000 board */
#define CPU_HPUX 9

/* Class types */
#define TASK_ANY 0
#define TASK_IO 1
#define TASK_COMPUTE 2

#define ALL_ON_ONE_CPU -1
#define AS_MANY_AS_POSSIBLE -1
