
#define STR_AT_FUNCTION			"at function %s\n"
#define STR_AT_QUEUE			"at queue %d\n"
#define STR_AT_SYNC				"at sync %d\n"
#define STR_AT_USER_HOOK		"at user hook %d\n"
#define STR_AT_START			"at start of job\n"

#define STR_ALREADY_CONNECTED	"already connected\n"
#define STR_ALREADY_RUNNING		"already running\n"
#define STR_ALREADY_STOPPED		"already stopped\n"
#define STR_CONNECTED_TO		"connected to...\n"
#define STR_CONNECTING_TO_PROCESS "connecting to running process...\n"
#define STR_CONNECTION_CLOSED	"connection Closed\n"
#define STR_CONTACTING_HOST		"contacting %s, please wait...\n"
#define STR_COPYING_CORE		"copying core...\n"
#define STR_REMOVING_CORE		"removing core...\n"
#define STR_COPYING_EXECUTABLE	"copying executable...\n"
#define STR_INTERRUPT			"\nInterrupt\n"
#define STR_JMDB_MONITOR		"\nJMDB Job Monitor\n\nchecking every %d minutes\n\nmail will be sent to user:\n%s@%s\n\n"
#define STR_MUST_BE_RUNNING		"job must be running\n"
#define STR_MUST_BE_STOPPED		"job must be stopped\n"
#define STR_NOT_AT_BREAKPOINT	"not at breakpoint\n"	
#define STR_NO_DECLARED_QUEUES	"no declared queues\n"
#define STR_NO_JMS_FOUND		"no JMs found on %s\n"
#define STR_NO_SYNC_POINTS		"no processes at sync points\n"
#define STR_STARTING_JM			"starting JM...\n"
#define STR_STOPPING_JM			"stopping JM...\n"

#define STR_STOP				"[%d] stop "
#define STR_OFF					" off\n"
#define STR_ON					" on\n"
#define STR_JOB_STOPPED			"JOB STOPPED: "

#define STR_SYNTAX_ERROR		"^syntax error\n"
#define STR_NON_TERMINATED_STRING	"string must be enclosed in quotes\n"

#define STR_TO_STOP_JOB		 	"type ctrl-c to stop job...\n\n"
#define STR_TO_STOP_VIEW		"type ctrl-c to stop view...\n\n"
#define STR_UNKNOWN_ALIAS		"%s in not aliased\n"
#define STR_UNKNOWN_EVENT		"%d: event not found\n"
#define STR_UNKNOWN_FUNCTION	"unknown function\n"

#define STR_PHOOKS_NOT_ON		"process hooks already off\n"
#define STR_PHOOKS_NOT_OFF		"process hooks already on\n"
#define STR_PHOOKS_ON 			"process hooks turned on\n"
#define STR_PHOOKS_OFF			"process hooks turned off\n"
#define STR_UPSHOT_LOG_NOT_ON	"upshot logging already off\n"
#define STR_UPSHOT_LOG_NOT_OFF	"upshot logging already on\n"
#define STR_UPSHOT_LOG_ON 		"upshot logging turned on\n"
#define STR_UPSHOT_LOG_OFF		"upshot logging turned off\nlog file: %s:%s.up\n"

#define STR_HOSTNAME			"Hostname"
#define STR_ID					"ID"
#define STR_USER				"User"
#define STR_JOB					"Job"
#define STR_START				"Start Time"
#define STR_VERSION				"Version"
#define STR_STATE				"State"
#define STR_STOPPED				"Stopped"
#define STR_RUNNING				"Running"
#define STR_UPSHOT				"Upshot"
#define STR_PID					"PID"
#define STR_CLASS_PROC			"[Class,Proc]"
#define STR_PROGRAM				"Program"
#define STR_STATE				"State"
#define STR_HOOKS				"Hooks"
#define STR_PROCESS				"Process"
#define STR_SYNC				"Sync"
#define STR_QUEUE				"Queue"

#define STR_HOSTS_NOT_SET		"hosts variable not set\n"
#define STR_CALLBACK_ERR		"could not intialize callback,\nanother monitor may already be connected to this job\n"
#define STR_RANGE_ERR			"number \"%d\" must be within range %d-%d\n"
#define STR_SIGNAL_HANDLER_ERR	"could not establish signal handler for %s\n"
#define STR_TCP_CREATE_ERR		"could not create tcp service\n"
#define STR_TCP_REGISTER_ERR	"could not register tcp service\n"
#define STR_DBX_ABORTED			"dbx: aborted\n"
#define STR_FAILED_RPC_CALL		"failed RPC call...\n...disconnected\n"
#define STR_FAILED_TO_CONNECT 	"failed to connect to RPC server\n"
#define STR_FOPEN_ERR			"fopen: %s: %s\n"
#define STR_NOT_CONNECTED		"not connected to a Job Manager\n"
#define STR_KILL_ABORTED		"kill: aborted\n"
#define STR_MALLOC_ERR			"malloc: no more available memory\n"
#define STR_GETHOSTBYNAME_ERR	"gethostbyname: %s: %s\n"
#define STR_GETHOSTNAME_ERR		"gethostname: %s: %s\n"

#define STR_BREAKPOINTS_EXIST	"Warning: breakpoints are set, quit anyway? (y or n) "
#define STR_JM_IS_STOPPED		"Warning: Job Manager is stopped, quit anyway? (y or n) "

#define STR_OPENING				"\njmdb version %s - %s\nType `help' for help\n\n"

#define STR_USAGE				"\nUsage: jmdb [-a hostname prognum] [-f jobname]\n\n"

#define STR_WRONG_MODE			"Permission Denied: command can only be used in debug mode\n"
