
/* Translates between two sets of parameters for CPU types */

#include "../inc/database.h"
#include "../jm/jm_param.h"


int db_to_jm_cpu(x)
int x;
{
	switch (x) {
	case DB_ULTRIX :
		return(CPU_DEC);
	case DB_VAXVMS :
		return(CPU_VMS);
	case DB_MIPS :
		return(CPU_MIPS);
	case DB_SUN :
		return(CPU_SUN);
	case DB_SGI :
		return(CPU_SGI);
	case DB_AIX :
		return(CPU_AIX);
	case DB_R3000 :
		return(CPU_R3000);
	case DB_HPUX :
		return(CPU_HPUX);
	case DB_SONY :
		return(CPU_SONY);
	default :
		return(CPU_SGI);
	}
}

int jm_to_db_cpu(x)
int x;
{
	switch (x) {

	case CPU_SGI :
		return(DB_SGI);
	case CPU_MIPS :
		return(DB_MIPS);
	case CPU_SUN :
		return(DB_SUN);
	case CPU_SONY :
		return(DB_SONY);
	case CPU_AIX :
		return(DB_AIX);
	case CPU_DEC :
		return(DB_ULTRIX);
	case CPU_VMS :
		return(DB_VAXVMS);
	case CPU_R3000 :
		return(DB_R3000);
	case CPU_HPUX :
		return(DB_HPUX);
	default :
		return(DB_SGI);
	}
}
