#include "mxyzptlk.rsc"

main( int argc, char** argv ) {

  if( argc != 3 ) {
  cout << "\nUsage: " << argv[0] 
       << "  real(z)  imag(z)"
       << endl;
  exit(0);
 }

 complex z( atof( argv[1] ), atof( argv[2] ) );
 Jet::Setup( 1, 6, 1 );
 JetC::Setup( 1, 6, 1 );
 coordC x( z );
 CMap   f;
 f.SetComponent( 0, complex( 3.0,1.0) + exp( x*(1.0 + 3.0*x) ) );
 cout << f.Inverse();
 cout << f( f.Inverse() );
}
